Bug 832810 - Review Request: perl-Method-Signatures - Method and function declarations with signatures and no source filter
Review Request: perl-Method-Signatures - Method and function declarations wit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:34 EDT by Iain Arnell
Modified: 2012-07-07 17:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-07 17:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-06-17 10:34:02 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Method-Signatures.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Method-Signatures-20120523-1.fc18.src.rpm
Description: 
Provides two new keywords, func and method, so that you can write
subroutines with signatures.

Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=4172212
Comment 1 Petr Šabata 2012-06-26 06:53:39 EDT
The fedora-review reports are getting insanely long; I guess I'll just stop pasting them :)

Anyhow, after going through your package...

TODO: Missing BRs: perl(base), perl(Exporter), perl(Role::Basic), and possibly even perl(MooseX::Declare::Syntax::Keyword::Method) and perl(MooseX::Declare::Syntax::Keyword::MethodModifier) to be on the safe side.
TODO: Remove underspecified runtime deps, perl(Data::Alias), perl(Devel::Pragma), and perl(Sub::Name)

No blockers, approving.
Comment 2 Iain Arnell 2012-06-27 07:20:58 EDT
New Package SCM Request
=======================
Package Name: perl-Method-Signatures
Short Description: Method and function declarations with signatures and no source filter
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-06-27 08:46:17 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-06-28 08:07:41 EDT
perl-Method-Signatures-20120523-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Method-Signatures-20120523-2.fc17
Comment 5 Fedora Update System 2012-06-28 08:07:50 EDT
perl-Method-Signatures-20120523-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Method-Signatures-20120523-2.fc16
Comment 6 Iain Arnell 2012-06-28 08:14:10 EDT
Thanks for the review, Petr. I've added the additional BRs, except Role::Basic which we don't (yet) have. Upstream notes in the test, though, that Role::Basic support isn't really a viable use case.
Comment 7 Fedora Update System 2012-06-30 04:24:06 EDT
perl-Method-Signatures-20120523-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-07-07 17:53:52 EDT
perl-Method-Signatures-20120523-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-07-07 17:55:49 EDT
perl-Method-Signatures-20120523-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.